#ifndef COMP_OPS_H
#define COMP_OPS_H

#include "aliases/aliases.h"
#include "nodes.h"

enum comp_ops {
  COMP_OP_ADD,
  COMP_OP_SUB,
  COMP_OP_MUL,
  COMP_OP_DIV,

  COUNT_COMP_OPS,
};

i32 comp_add(i32 a, i32 b);
i32 comp_sub(i32 a, i32 b);
i32 comp_mul(i32 a, i32 b);
i32 comp_div(i32 a, i32 b);

INTERNAL node_func ops[COUNT_COMP_OPS] = {
    [COMP_OP_ADD] = comp_add,
    [COMP_OP_SUB] = comp_sub,
    [COMP_OP_MUL] = comp_mul,
    [COMP_OP_DIV] = comp_div,
};

#endif // !COMP_OPS_H
